<?php
// src/Controller/CourseController.php
namespace App\Controller;

use App\Entity\Course;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Routing\Annotation\Route;

class CourseController extends Controller
{
    /**
     * Matches /course exactly
     *
     * @Route("/course", name="course_list")
     */
    public function list()
    {
        $repository = $this->getDoctrine()->getRepository(Course::class);

        $courses = $repository->getAllCourses();
        return $this->render('course/list.html.twig', array(
            'courses' => $courses,
        ));
    }

}