<?php
namespace App\Repository;

use App\Entity\Person;
use Doctrine\ORM\EntityRepository;

class PersonRepository extends EntityRepository
{
    
    public function getAllPersons()
    {
        return $this->getEntityManager()->createQuery('SELECT p FROM App\Entity\Person p')
        ->getResult();
    }
    
    public function addPerson(Person $person) : void{
        $this->getEntityManager()->persist($person);
    }
    
    public function removeAll() : void{
        foreach($this->getAllPersons() as $person){
            $this->getEntityManager()->remove($person);
        }
    }
    
}

