<?php
namespace App\Repository;

use App\Entity\Course;
use Doctrine\ORM\EntityRepository;
/**
 * 
 * @author Christophe PEQUIGNAT
 *
 */
class CourseRepository extends EntityRepository
{
    
    public function getAllCourses()
    {
        return $this->getEntityManager()->createQuery('SELECT c FROM App\Entity\Course c')
        ->getResult();
    }
    
    public function addCourse(Course $course){
        $this->getEntityManager()->persist($course);
    }
    
    public function updateCourse(Course $course){
        $this->getEntityManager()->persist($course);
    }
    
    public function removeAll() : void{
        foreach($this->getAllCourses() as $course){
            $this->getEntityManager()->remove($course);
        }
    }
    
}

